﻿module ParasitemiaCore.UnitsOfMeasure

[<Measure>] type px // Pixel.
[<Measure>] type mm
[<Measure>] type μm
[<Measure>] type inch
[<Measure>] type ppi = px / inch // Pixel per inch.

let μmPerInch = 25.4e3<μm/inch>
let mmPerInch = 25.4<mm/inch>

let μmToInch (x : float<μm>) : float<inch> = x / μmPerInch
let inchToμm (x : float<inch>) : float<μm> = x * μmPerInch

let mmToInch (x : float<mm>) : float<inch> = x / mmPerInch
let inchTomm (x : float<inch>) : float<mm> = x * mmPerInch

